<?php

namespace ConsentMagicPro;

if ( !defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class CS_AdminPageLicense extends CS_AdminPage implements CS_Page {

	public function renderPage() {
		$this->manageCSPermissions();
		settings_errors();

		$license_type    = CMPRO_LICENSE_TYPE; // 'edd' или 'woo'
		$first_flow_file = CMPRO_PLUGIN_VIEWS_PATH . "admin/html-first-flow-{$license_type}.php";
		$license_file    = CMPRO_PLUGIN_VIEWS_PATH . "admin/license/html-{$license_type}-license.php";

		if ( !ConsentMagic()->getOption( 'cs_check_flow' ) ) {
			require_once $first_flow_file;
		} else {
			include $license_file;
		}
	}

}