<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-plugin-toolbar bottom">
    <div class="left-aligned">
        <div class="row align-items-center">
            <div class="col-12">
                <form method="post" enctype="multipart/form-data">
                    <input type="hidden" id="cs_import_settings_nonce"
                           value="<?php echo wp_create_nonce( "import_events_file_nonce" ) ?>"/>
                    <input type="file" id="cs_import_settings" name="cs_import_settings" accept="application/json"/>
                    <label for="cs_import_settings" class="cs_import_settings_label">
                        <button type="button" class="btn btn-blue btn-right">
                            <i class="icon-plus"></i> <?php esc_html_e( 'Import settings', 'consent-magic' ); ?>
                        </button>
                    </label>
                </form>
            </div>
        </div>
    </div>
</div>